Name:		asciidoc
Version:	8.6.9
Release:	%mkrel 6
Summary:	Tool to convert custom-formatted text files to DocBook, HTML or Unix man pages
License:	GPLv2+
Group:		Publishing
Url:		http://www.methods.co.nz/asciidoc/
Source0:	http://downloads.sourceforge.net/project/asciidoc/asciidoc/%{version}/asciidoc-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	dos2unix
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
BuildArch:	noarch
Requires:	python
# For a2x
Requires:	xmllint
Requires:	docbook-style-xsl
Requires:	xsltproc
Recommends:	dblatex
Recommends:	fop
Recommends:	w3m

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%setup -q

for i in CHANGELOG README;
do
    iconv -f ISO-8859-1 -t UTF-8 -o $i.UTF-8 $i
    mv  $i.UTF-8 $i
done
for i in  doc/book-multi.txt doc/article.txt COPYRIGHT doc/faq.txt filters/code/code-filter-readme.txt \
doc/asciidoc.1.txt filters/code/code-filter-test.txt doc/book.txt doc/latex-backend.txt;
do
    dos2unix < $i > $i.fixed ; mv -f $i.fixed $i ;
done

%build
%configure2_5x
%make

%install
%make_install

%files
%doc BUGS CHANGELOG COPYRIGHT README
%doc doc/*.txt filters/*/*.txt
%doc %{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}.py
%{_bindir}/%{name}
%{_bindir}/a2x.py
%{_bindir}/a2x


%changelog
* Thu Dec 24 2015 wally <wally> 8.6.9-6.mga6
+ Revision: 914046
- require (instead of recommend) xsltproc for a2x

* Thu Dec 24 2015 wally <wally> 8.6.9-5.mga6
+ Revision: 914034
- require docbook-style-xsl for a2x

* Thu Dec 24 2015 wally <wally> 8.6.9-4.mga6
+ Revision: 914014
- require libxml2-utils (xmllint) for a2x

* Wed Oct 15 2014 umeabot <umeabot> 8.6.9-3.mga5
+ Revision: 751258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.6.9-2.mga5
+ Revision: 677913
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Mar 13 2014 dams <dams> 8.6.9-1.mga5
+ Revision: 603152
- new version 8.6.9

* Sat Oct 19 2013 umeabot <umeabot> 8.6.8-4.mga4
+ Revision: 533332
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 shlomif <shlomif> 8.6.8-3.mga4
+ Revision: 472573
- asciidoc.vim is included in the vim package - remove it from here.

* Fri Jan 11 2013 umeabot <umeabot> 8.6.8-2.mga3
+ Revision: 346114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 31 2012 shlomif <shlomif> 8.6.8-1.mga3
+ Revision: 311709
- New version 8.6.8

* Tue May 29 2012 shlomif <shlomif> 8.6.7-2.mga3
+ Revision: 248905
- New version: 8.6.7
- Not repeating 'AsciiDoc' in the summary to get rid of an rpmlint warning.
- New version

* Tue Sep 06 2011 tv <tv> 8.6.6-1.mga2
+ Revision: 139215
- new release

* Fri Apr 15 2011 shikamaru <shikamaru> 8.6.4-1.mga1
+ Revision: 85991
- new version 8.6.4 - add vim syntax hilighting

* Sun Jan 09 2011 jquelin <jquelin> 8.6.3-1.mga1
+ Revision: 1696
- imported package asciidoc

